package com.zhentao.controller;

import cn.hutool.core.lang.Snowflake;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zhentao.dto.UserDto;
import com.zhentao.pojo.UserLogin;
import com.zhentao.service.UserLoginService;
import com.zhentao.tool.AppJwtUtil;
import com.zhentao.tool.TokenUtils;
import io.jsonwebtoken.Jwt;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.DigestUtils;
import org.springframework.util.RouteMatcher;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;
import java.util.Objects;
import java.util.Random;

@RestController
@RequestMapping("user")
public class UserController {
    @Autowired
    UserLoginService userService;
    @RequestMapping("login")
    public Object login(@RequestBody UserDto userDto){
        QueryWrapper<UserLogin> queryWrapper=new QueryWrapper<>();
        queryWrapper.eq("username",userDto.getUsername());
        UserLogin one = userService.getOne(queryWrapper);
        String token = AppJwtUtil.getToken(one.getId().longValue());
        Map<String,String> map=new HashMap<>();
        map.put("token",token);
        map.put("username", one.getUsername());
        return map;
    }
    @RequestMapping("rig")
    public void rig(@RequestBody UserDto userDto){
        UserLogin userLogin = new UserLogin();
        userLogin.setUsername(userDto.getUsername());
        String s = DigestUtils.md5DigestAsHex((userDto.getPassword()).getBytes());
        userLogin.setPassword(s);
        userService.save(userLogin);
    }
}
